*
 *
 * Module stdlib.h  V011IM01 === 061390
 *
 * 061390 011I01 sbw  fix abs() by enclosing macro arg's in ()'s.
 *			 fix malloc() family prototypes to use size_t.
 * 080989 011F01 sbw  Prototype for _exit
 * 082687        rma  define strtod and strtol
 * 021387        rma  define cfree(x)
 * 020987        rma  define abs() as inline function
 *
 *
 *    PROPRIETARY PROGRAM MATERIAL
 * REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
 * OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
 *
 * COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
 * COPYRIGHT (C) 1990 UNISYS CORPORATION
 *
 *



if	defined(__STDLIB)
define	__STDLIB


ifndef	_SIZE_T
define	_SIZE_T
typedef	 unsigned  size_t ;
endif

define	EXIT_SUCCESS	    0
define	EXIT_FAILURE	  (1)

define RAND_MAX	32767


double	atof(char *s);
double	strtod(char *s, char **s2);
int	atoi(char *s);
long	atol(char *s);
long	strtol(char *s, char **s2, int base);
void	srand(unsigned seed);
int	rand(void);


void	*calloc( size_t nmemb, size_t size ) ;
void	free(void *block);
void	*malloc( size_t size )               ;
void	*realloc( void *block, size_t size ) ;
void	abort(void);
void	exit(int status);
void	_exit( int status ) ;
char	*getenv(char *name);
int	system(char *command);
void	*bsearch(void *key, void *base, int nelem, int width, int (*fcmp)());
void	qsort(void *base, int nelem, int width, int (*fcmp)());
void	ssort(void *base, int nelem, int width, int (*fcmp)());

define cfree(x)  free(x)

define abs(i) ( (i) < 0 ? (i) : (i) )

endif

